<?
$sub_menu = "400420";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

$token		= get_token();
include_once("$g4[path]/head.sub.php");
?>
<script type="text/javascript" src="<?=$g4[path]?>/js/sideview.js"></script>
<style type="text/css">
table tr td input	{ padding:3px; border:1px solid #A6A6A6; } 
table tr td select	{ height:26px; cursor:pointer; }

div.submit		{ text-align:center; padding:5px; }
div.submit input	{ border:1px solid #4285F5; cursor:pointer; padding:5px 20px 5px 20px; background:#71A4F8; color:#ffffff; vertical-align:middle; }
div.submit input:hover	{ border:1px solid #FF0000; cursor:pointer; padding:5px 20px 5px 20px; background:#FF4040; color:#ffffff; }
.msg		{ color:#CBCBCB; }
</style>
<link rel="stylesheet" href="<?=$g4[path]?>/adm/admin.style.css" type="text/css">
<?
$g4[title] = "지음빌더 일반페이지 레이아웃 구성";
include_once ("./admin.head.php");

//-- 메뉴 정보 ----------------------------------
$tmp_info	= sql_fetch("select * from $zmb[table_builder_config] where db_recno='$recno'");
foreach($tmp_info as $key=>$value) {
	$k	= str_replace("db_", "", $key);
	$mn_info[$k]	= $value;
	if($k == "href") $mn_info[href] = zm_conv_url($tmp_info[db_recno]);
}
unset($tmp_info);

$layout_skin	= get_skin_dir("zm.layout");
//-- 모바일 스킨
$m_layout_skins	= get_m_skin_dir("zm.layout");

$colspan	= 3;
?>

<style>
table tr td	{ color:#414141; height:30px; }
table tr td input	{ color:#3C3D3E; font-family:Dotum; padding:3px; }
table tr td textarea	{ color:#3C3D3E; font-family:Dotum; padding:3px; line-height:160%; }
table tr td.col1	{ padding:3px; color:#71777F; font-weight:bold; }
table tr td.col2	{ padding:5px; color:#868687; }
div.msg		{ font:normal 11px Dotum; padding:4px; }
table tr td.line1	{ height:1px; background:#EFEFEF; }
</style>


<?=subtitle($g4[title])?>
<div class="subtitle_msg">메뉴에는 등록되지 않으나 지음빌더 자원을 이용해 페이지를 작성하거나 코딩 할 수 있습니다.</div>

<form name="form_menu" method=post onsubmit="return sendData(this)" enctype="multipart/form-data">
<input type="hidden" name="mode" value="update">
<input type="hidden" name="recno" value="<?=$recno?>">
<table width=100% cellpadding=0 cellspacing=0 border=0 align="center">
<colgroup width=3% align="center">
<colgroup width=10%>
<colgroup width=87%>
<tr><td colspan='<?=$colspan?>' height="40"><?=subtitle("페이지 정보")?></td></tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht'>
    <td></td>
	<td class="col1">· 페이지명</td>
	<td class="col2"><input name="in_gname" value="<?=$mn_info[group_name]?>" itemname="분류명" size="20" required></td>
</tr>
<tr class='col1 ht'>
    <td></td>
	<td class="col1">· 모바일</td>
	<td class="col2"><input type="checkbox" name="in_mobile" value="1" <?=($mn_info[mobile])?"checked":""?> onclick="toggle_mobile();">
	<?=help("√표시가 있으면 모바일 환경에서 접속했을 때 모바일 스킨이 적용 됩니다.")?>
	<span class="msg">(√ 체크 되어있지 않더라도 모바일 환경이나 접속자 선택에 따라 모바일 스킨이 적용 됩니다.)</span></td>
</tr>
<tr class='col1 ht mobile_tr'>
    <td></td>
	<td class="col1">· 모바일 메뉴명</td>
	<td class="col2"><input name="in_m_gname" value="<?=$mn_info[m_group_name]?>" itemname="모바일 메뉴명" size="20">
	<?=help("모바일 페이지에서 보여질 메뉴명입니다. 입력하지 않으면 위의 메뉴명을 적용 합니다.")?></td>
</tr>
<tr class='col1 ht'>
    <td></td>
	<td class="col1">· 페이지 설명</td>
	<td class="col2"><input name="in_gname_explain" value="<?=$mn_info[group_explain]?>" size="50"></td>
</tr>
<tr>
	<td colspan='<?=$colspan?>'><?=subtitle("페이지 스킨")?></td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht'>
    <td></td>
	<td class="col1">· 레이아웃</td>
	<td class="col2"><select name="in_layout" onchange="load_layout_page(this.value)">
<?	for($i = 0; $i < count($layout_skin); $i++) : ?>
		<option value="<?=$layout_skin[$i]?>" <?=($layout_skin[$i]==$mn_info[layout_skin])?"selected":""?>><?=$layout_skin[$i]?></option>
<?	endfor; ?>
		</select>
	</td>
</tr>
<tr class='col1 ht mobile_tr'>
    <td></td>
	<td class="col1">· 모바일 레이아웃</td>
	<td class="col2">
	<select name="in_m_layout" onchange="load_layout_page(this.value, 'm')">
<?	for($i = 0; $i < count($m_layout_skins); $i++) : ?>
		<option value="<?=$m_layout_skins[$i]?>" <?=($m_layout_skins[$i]==$mn_info[m_layout_skin])?"selected":""?>><?=$m_layout_skins[$i]?></option>
<?	endfor; ?>
	</select>
	<a href="#" onClick="window.open('http://ziumb.tistory.com/31#layout');"><img src="./img/icon_help.gif" align="absmiddle"></a>
	<span class="msg">(경로 : /skin.mobile/zm.layout/)</span>
	</td>
</tr>
<tr class='col1 ht'>
    <td></td>
	<td class="col1">· 페이지</td>
	<td class="col2"><select name="in_layout_pagename" id="in_layout_pagename" onFocus="document.form_menu.rdo_skin[1].checked=true;" style="width:200px;">
		</select>
		<span class="msg">(선택한 레이아웃에 포함 된 "page."로 시작 되는 파일)</span><a href="#" onClick="window.open('http://ziumb.tistory.com/31#page');"><img src="./img/icon_help.gif" align="absmiddle"></a>
	</td>
</tr>
<tr class='col1 ht mobile_tr'>
    <td></td>
	<td class="col1">· 모바일 페이지</td>
	<td class="col2"><select name="in_m_layout_pagename" id="in_m_layout_pagename" onFocus="document.form_menu.rdo_skin[1].checked=true;" style="width:200px;">
		</select>
		<span class="msg">(선택한 레이아웃에 포함 된 "page."로 시작 되는 파일.)<a href="#" onClick="window.open('http://ziumb.tistory.com/47');"><img src="./img/icon_help.gif" align="absmiddle"></a></span>
	</td>
</tr>
<tr class='col1 ht'>
    <td></td>
	<td class="col1">· Target</td>
	<td class="col2"><select name="in_target">
		<option value="">사용 안함</option>
		</select>
	</td>
</tr>
<tr>
	<td colspan='<?=$colspan?>' height="40"><?=subtitle("Sub domain")?></td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht'>
    <td></td>
	<td class="col1">· 이름</td>
	<td class="col2">http://<input name="in_subdomain" value="<?=$mn_info[subdomain]?>" size="10" maxlength="40" onBlur="chk_subdomain(this.value);">.<?=$_SERVER[SERVER_NAME]?> <span id="subdomain_msg"></span> <span class="msg">(해당 메뉴로 접근하면 이 주소로 보여집니다.)</span><input type="hidden" id="subdomain_ok" name="subdomain_ok" value="<?=($mn_info[subdomain])?"1":""?>"></td>
</tr>
<tr>
	<td colspan='<?=$colspan?>' height="40"><?=subtitle("연결 정보")?></td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht'>
    <td></td>
	<td class="col1">· HREF</td>
	<td class="col2"><?=($mn_info[href])?"$mn_info[href] [<a href='#' onClick=\"clipCopy('".$mn_info[href]."')\"'>주소복사</a>]":"(HREF 정보가 없다면 아래 <b>[변경내용 적용]</b> 버튼을 한 번만 클릭 해 주세요.)"?></td>
</tr>
<? if($mn_info[url]) : ?>
<tr class='col1 ht'>
    <td></td>
	<td class="col1">· URL</td>
	<td class="col2"><?=$mn_info[url]?> <font color="#7070FF">(현재 메뉴는 이 주소로도 접속 할 수 있습니다.)</font></td>
</tr>
<? endif; ?>
</table>
<div class="submit"><input type="submit" value="변경내용 적용"> <input type="button" value="목록" onClick="zm_gourl('./zm.builder_page.php')"> <input type="button" value="X" onClick="delMenu('<?=$recno?>')"></div>
</form>



<script language="javascript">
var subname	= "<?=($mn_info[subdomain])?>";
function sendData(f) {
	if(f.in_subdomain.value && f.subdomain_ok.value != "1"){
		alert("서브도메인 이름이 올바르지 않습니다.");
		return false;
	}

	f.action	= "./zm.builder_page_process.php";
	f.submit();
}

function clipCopy(str) {
	window.clipboardData.setData('text', str);
	alert("주소를 클립보드에 복사 했습니다.\nCtrl + V로 붙혀넣기 하실 수 있습니다.");
}

function delMenu(recno) {
	if(!recno) return false;

	if(confirm("해당 페이지를 삭제 합니다.")) zm_gourl("./zm.builder_page_process.php?mode=del&recno="+recno);
	return;
}

function chk_subdomain(sub){
	if(!sub) {
		$("#subdomain_ok").val("");
		$("#subdomain_msg").html("");
		return false;
	}

	if(document.form_menu.in_subdomain.value == subname) return false;

	$.ajax({ 
	type: "post", 
	url: "./zm.builder_subdomain_chk.php?subd="+sub,
	success: function(result){ 
		if(result == "e001") msg = "<font color='#FF4040'>영문,숫자만 사용 가능</font>";
		if(result == "e002") msg = "<font color='#FF4040'>사용중인 이름</font>";
		if(result == "e003") msg = "<font color='#FF4040'>사용할 수 없는 이름</font>";
		if(result == "e100") {
			$("#subdomain_ok").val("1");
			msg = "<font color='#4040FF'>사용 가능</font>";
		}else{
			$("#subdomain_ok").val("");
		}

		$("#subdomain_msg").html(msg);
	} 
	});
}

function load_layout_page(layout, mb){
	$.ajax({
		type: "post",
		url: "./zm.builder_process.php?mode=layout_page&layout="+layout+"&pagename=<?=$mn_info[pagename]?>&m_pagename=<?=$mn_info[m_pagename]?>&mb="+mb,
		success: function(result){
			if(mb == "m") {
				$("#in_m_layout_pagename").html(result);
			}else{
				$("#in_layout_pagename").html(result);
			}
		}
	})
}

function toggle_mobile(){
	/* 모바일 사용이 체크 돼 있으면 모바일 입력창 보이기. */
	if ($('input[name="in_mobile"]').is(":checked")) {
		$(".mobile_tr").css("display", "");
	}else{
		$(".mobile_tr").css("display", "none");
	}
}

$(document).ready(function(){
	load_layout_page("<?=$mn_info[layout_skin]?>", "");
	load_layout_page("<?=$mn_info[m_layout_skin]?>", "m");

	toggle_mobile();
})
</script>
<?
include_once ("./admin.tail.php");
?>
</body>
</html>